## cascading.util
Enum S3Util.Request

    java.lang.Object
      java.lang.Enum<S3Util.Request>
          cascading.util.S3Util.Request

All Implemented Interfaces:
  Serializable, Comparable<S3Util.Request>

Enclosing class:
  S3Util

    public static enum S3Util.Request

extends Enum<S3Util.Request>

Enum Constant Summary
`CREATE_DIR`
`CREATE_OBJECT`
`DETAILS`
`OBJECT`

Method Summary
`static S3Util.Request` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static S3Util.Request[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DETAILS

    public static final S3Util.Request DETAILS

### OBJECT

    public static final S3Util.Request OBJECT

### CREATE_OBJECT

    public static final S3Util.Request CREATE_OBJECT

### CREATE_DIR

    public static final S3Util.Request CREATE_DIR

Method Detail

### values

    public static S3Util.Request[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (S3Util.Request c : S3Util.Request.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static S3Util.Request valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.